package com.gree.mall.miniapp.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PartsRefundStateEnum implements BaseEnum {
    OK("OK","成功"),
    FAIL("FAIL","失败"),
    WAIT("WAIT","等待"),
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
